# Uses of Interface
org.eclipse.emf.spi.cdo.InternalCDORemoteSession

Packages that use InternalCDORemoteSession
Package
Description
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of InternalCDORemoteSession in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return InternalCDORemoteSession
Modifier and Type
Method
Description
`InternalCDORemoteSession`
InternalCDORemoteSessionManager.`createRemoteSession(int sessionID, String userID, boolean subscribed)`
`InternalCDORemoteSession`
InternalCDORemoteSessionManager.`getRemoteSession(int sessionID)`
`InternalCDORemoteSession[]`
InternalCDORemoteSessionManager.`getRemoteSessions()`
`InternalCDORemoteSession[]`
InternalCDORemoteTopic.`getRemoteSessions()`
Methods in org.eclipse.emf.spi.cdo with parameters of type InternalCDORemoteSession
Modifier and Type
Method
Description
`void`
InternalCDORemoteTopic.`handleRemoteSessionMessage(InternalCDORemoteSession remoteSession, CDORemoteSessionMessage message)`